Bug 166038 - ext2online can't resize: No space left on device
ext2online can't resize: No space left on device
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Eric Sandeen
Jay Turner
:
: 160612 166039 (view as bug list)
Depends On:
Blocks: 334741
  Show dependency treegraph
 
Reported: 2005-08-15 23:48 EDT by Andre
Modified: 2015-01-07 19:10 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:10:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The detailed and verbose commands (4.88 KB, text/plain)
2005-08-15 23:52 EDT, Andre
no flags Details

  None (edit)
Description Andre 2005-08-15 23:48:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
ext2online resize failed:
2 out of 8 system I recently install are having a problem with ext2online
resizing.



Version-Release number of selected component (if applicable):
e2fsprogs-1.35-12.1.EL4
kernel-2.6.9-11.EL
lvm2-2.01.08-1.0.RHEL4
device-mapper-1.01.01-1.RHEL4

How reproducible:
Sometimes

Steps to Reproduce:
1. create lvm: pv, vg, lv
2. format the lv
3. mount the lv
4. lvextend -l +10 /dev/test0/scratch
5. ext2online /dev/test0/scratch
  

Actual Results:  # ext2online -v -d /dev/test0/scratch
ext2online v1.1.18 - 2001/03/18 for EXT2FS 0.5b
ext2_open
ext2_bcache_init
new filesystem size 61440
ext2_determine_itoffset
setting itoffset to +35
group 2 inode table has offset 2, not 35
group 4 inode table has offset 2, not 35
ext2_get_reserved
Found 31 blocks in s_reserved_gdt_blocks
using 31 reserved group descriptor blocks

5 old groups, 1 blocks
8 new groups, 1 blocks
ext2_ioctl: EXTEND group to 40961 blocks
creating group   5 with  8192 blocks (rsvd = 31, newgd =  1)
using itoffset of 35
new block bitmap is at 0xa022
new inode bitmap is at 0xa023
new inode table is at 0xa024-0xa123
new group has 7901 free blocks
new group has 2048 free inodes (256 blocks)
ext2_ioctl: ADD group 5
ext2online: ext2_ioctl: No space left on device

ext2online: unable to resize /dev/mapper/test0-scratch

Expected Results:  ext2online return success and
lv (lvdisplay) and fs (df) size should show the same size


Additional info:
Comment 1 Andre 2005-08-15 23:52:17 EDT
Created attachment 117784 [details]
The detailed and verbose commands

verbose command and information about the filesystem or LVM.
workaround also provided
Comment 2 Andre 2005-08-15 23:54:04 EDT
*** Bug 166039 has been marked as a duplicate of this bug. ***
Comment 3 Thomas Woerner 2006-08-01 10:48:56 EDT
There is an update package of e2fsprogs for RHEL-4: e2fsprogs-1.35-12.3.EL4

Is this version working for you?
Comment 4 Andre 2006-08-01 15:01:18 EDT
Too old to try again. didn't have the system anymore
Comment 5 Paolo Penzo 2006-09-15 05:41:43 EDT
I've got the same issue on RH 4.4 (e2fsprogs-1.35-12.4.EL4) running on s390x
(zVM) but not on i686. Thi is the error I got:

ext2online -v -d /dev/vg00010051_01/lvtest

ext2online v1.1.18 - 2001/03/18 for EXT2FS 0.5b
ext2_open
ext2_bcache_init
new filesystem size 38912
ext2_determine_itoffset
setting itoffset to +10
ext2_get_reserved
Found 6 blocks in s_reserved_gdt_blocks
using 6 reserved group descriptor blocks

1 old groups, 1 blocks
2 new groups, 1 blocks
ext2_ioctl: EXTEND group to 32768 blocks
creating group   1 with  6144 blocks (rsvd =  6, newgd =  1)
using itoffset of 10
new block bitmap is at 0x8008
new inode bitmap is at 0x8009
new inode table is at 0x800a-0x8349
new group has 5302 free blocks
new group has 26624 free inodes (832 blocks)
ext2_ioctl: ADD group 1
ext2online: ext2_ioctl: No space left on device

ext2online: unable to resize /dev/mapper/vg00010051_01-lvtest
root@lx000000010051 ~ #
Comment 6 Kjetil T. Homme 2006-10-19 13:03:55 EDT
why is the priority "low" on this bug?

I don't think it is very "enterprise" to suggest a couple of hours of downtime
as a workaround...  (yes, this is how long our filesystem will take to resize
offline, since an fsck is required before resize2fs.)
Comment 7 Eric Sandeen 2007-10-02 18:47:08 EDT
Without dmesg output it's hard to know for sure, but it's likely that this is
the same issue as here:

http://marc.info/?l=linux-ext4&m=119126680223394&w=4

in which the transaction to grow the filesystem is too large for the existing
journal.

My patch above should address this, can someone who has hit this provide dmesg
output to verify that it is the same issue?

(See also bug 160612)

Note that another simpler workaround is to create a larger journal... although
that defeats the purpose of online resizing, if you have to unmount to
"workaround" you may as well just do offline resizing.

Thanks,
-Eric
Comment 8 Eric Sandeen 2007-10-02 18:47:46 EDT
Oh, and switch to kernel, since the bug is actually there.
Comment 9 Eric Sandeen 2007-10-02 18:53:55 EDT
*** Bug 160612 has been marked as a duplicate of this bug. ***
Comment 10 Eric Sandeen 2008-03-11 16:19:23 EDT
This patch has been upstream for a while; should probably get it into RHEL4.
Comment 11 RHEL Product and Program Management 2008-03-26 16:39:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 RHEL Product and Program Management 2008-03-28 12:49:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 15 Vivek Goyal 2008-03-31 10:00:26 EDT
Committed in 68.28.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 18 errata-xmlrpc 2008-07-24 15:10:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.